<!DOCTYPE html>
<html lang="en">
<!--head-->
<head>
  <!-- provides metadata for our webpage -->
  <title>"Children's Favorite Toy" Shop</title>
  <link rel="shorcut icon" type="image/x-icon" href="squirrelicon.png" />
  <meta charset="utf-8" />

  <!-- additional information can be provided as metadata for SEO -->
  <!-- some external resources -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.1/dist/umd/popper.min.js"
    integrity="sha384-SR1sx49pcuLnqZUnnPwx6FCym0wLsk5JZuNx2bPPENzswTNFaQU1RDvt3wT4gWFG"
    crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.min.js"
    integrity="sha384-j0CNLUeiqtyaRmlzUHCPZ+Gy5fQu0dQ6eZ/xAww941Ai1SxSY+0EQqNXNE6DZiVc"
    crossorigin="anonymous"></script>
  <link rel="stylesheet" type="text/css" href="toy-shop-homepage-styling.css">
  <!--navbar styling-->
  <link rel="stylesheet" type="text/css" href="navbar.css">

  <!-- w3 slideshow-->
  <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">

  <style>
    .mySlides {
      display: none
    }

    .w3-left,
    .w3-right,
    .w3-badge {
      cursor: pointer
    }

    .w3-badge {
      height: 13px;
      width: 13px;
      padding: 0
    }
  </style>
  <!-- w3 slideshow-->

  <script>
    /* When the user scrolls down, hide the navbar. When the user scrolls up, show the navbar */
    var prevScrollpos = window.pageYOffset;
    window.onscroll = function () {
      var currentScrollPos = window.pageYOffset;
      if (prevScrollpos > currentScrollPos) {
        document.getElementById("navbar").style.top = "0";
      } else {
        document.getElementById("navbar").style.top = "-50px";
      }
      prevScrollpos = currentScrollPos;
    }
  </script>
</head>
<!--head-->

<!--body-->
<body>

  <!-- provides elements to be rendered -->
  <header>
    <!-- nav bar-->
    <div id="navbar">
      <a href="toy-shop-homepage.html">Home</a>
      <a href="inventory.html">Inventory</a>
      <a id="add-toy-nav-item" href="add-toy.html" hidden>Add Toys</a>
      <a id="delete-toy-nav-item" href="delete-toy.html" hidden>Delete Toys</a>
      <a id="update-toy-nav-item" href="update-toy.html" hidden>Update Toys</a>
      <a id="login-nav-item" href="login-page.html">Login</a>
      <a id="log-out-nav-item" href="login-page.html" hidden>Logout</a>
    </div>
    <!-- nav bar-->
  </header>



  <main class="parallax">

    <div class="lead-header">
      <!---->
      <h1 style="color: black; font: 'Crimson Text';"><strong>Children's Favorite Toy Shop</strong></h1>
      <!--<img src="west-elm-playroom.jpg" class="rounded float-start" alt="toy shelf"/>-->
      <div>
        <h2 style="text-indent: 75px;">Play is Fun!</h2>
      </div>
    </div>

  </main>

  <!--side by side images-->
  <div class="row">
    <div class="column">
      <img src="zebra.jpg" alt="Zebra" style="width:100%">
    </div>
    <div class="column">
      <img src="giraffe.jpg" alt="Giraffe" style="width:100%">
    </div>
    <div class="column">
      <img src="elephant.jpg" alt="Elephant" style="width:100%">
    </div>
  </div>
  <!--side by side images-->

  <!--w3 slideshow indicators-->

  <div class="w3-content w3-display-container" style="max-width:800px">
    <img class="mySlides" src="peter-rabbit.jpg" style="width:100%">
    <img class="mySlides" src="toy-wagon.jpg" style="width:100%">
    <img class="mySlides" src="race-car.jpg" style="width:100%">
    <img class="mySlides" src="red-airplane.jpg" style="width:100%">
    <img class="mySlides" src="wooden-train-set.jpg" style="width:100%">
    <img class="mySlides" src="rocking-horse.jpg" style="width:100%">
    <img class="mySlides" src="wooden-pull-car.jpg" style="width:100%">
    <img class="mySlides" src="jumbo-wooden-crane.jpg" style="width:100%">
    <img class="mySlides" src="wooden-toys-set.jpg" style="width:100%">
    <img class="mySlides" src="construction-vehicles.jpg" style="width:100%">
    <img class="mySlides" src="sherpa-bear-rockers.jpg" style="width:100%">
    <img class="mySlides" src="dollhouse.jpg" style="width:100%">
    <img class="mySlides" src="bathtime-doll-accessory-set.jpg" style="width:100%">
    <img class="mySlides" src="baby-doll.jpg" style="width:100%">
    <div class="w3-center w3-container w3-section w3-large w3-text-white w3-display-bottommiddle" style="width:100%;">
      <div class="w3-left w3-hover-text-khaki" onclick="plusDivs(-1)">&#10094;</div>
      <div class="w3-right w3-hover-text-khaki" onclick="plusDivs(1)">&#10095;</div>
      <span class="w3-badge demo w3-border w3-transparent w3-hover-white" onclick="currentDiv(1)"></span>
      <span class="w3-badge demo w3-border w3-transparent w3-hover-white" onclick="currentDiv(2)"></span>
      <span class="w3-badge demo w3-border w3-transparent w3-hover-white" onclick="currentDiv(3)"></span>
      <span class="w3-badge demo w3-border w3-transparent w3-hover-white" onclick="currentDiv(4)"></span>
      <span class="w3-badge demo w3-border w3-transparent w3-hover-white" onclick="currentDiv(5)"></span>
      <span class="w3-badge demo w3-border w3-transparent w3-hover-white" onclick="currentDiv(6)"></span>
      <span class="w3-badge demo w3-border w3-transparent w3-hover-white" onclick="currentDiv(7)"></span>
      <span class="w3-badge demo w3-border w3-transparent w3-hover-white" onclick="currentDiv(8)"></span>
      <span class="w3-badge demo w3-border w3-transparent w3-hover-white" onclick="currentDiv(9)"></span>
      <span class="w3-badge demo w3-border w3-transparent w3-hover-white" onclick="currentDiv(10)"></span>
      <span class="w3-badge demo w3-border w3-transparent w3-hover-white" onclick="currentDiv(11)"></span>
      <span class="w3-badge demo w3-border w3-transparent w3-hover-white" onclick="currentDiv(12)"></span>
      <span class="w3-badge demo w3-border w3-transparent w3-hover-white" onclick="currentDiv(13)"></span>
      <span class="w3-badge demo w3-border w3-transparent w3-hover-white" onclick="currentDiv(14)"></span>
    </div>
  </div>

  <script>
    var slideIndex = 1;
    showDivs(slideIndex);

    function plusDivs(n) {
      showDivs(slideIndex += n);
    }

    function currentDiv(n) {
      showDivs(slideIndex = n);
    }

    function showDivs(n) {
      var i;
      var x = document.getElementsByClassName("mySlides");
      var dots = document.getElementsByClassName("demo");
      if (n > x.length) { slideIndex = 1 }
      if (n < 1) { slideIndex = x.length }
      for (i = 0; i < x.length; i++) {
        x[i].style.display = "none";
      }
      for (i = 0; i < dots.length; i++) {
        dots[i].className = dots[i].className.replace(" w3-white", "");
      }
      x[slideIndex - 1].style.display = "block";
      dots[slideIndex - 1].className += " w3-white";
    }
  </script>

  <!--w3 slideshow indicators-->

  <!--javascript resources-->
  <!--<script src="items-request.js"></script>-->
  <!--<script src="new-toy-item.js"></script>-->
  <script src="nav-items.js"></script>
  <script src="server-requests.js"></script>
  <!--<script src="login.js"></script>-->
  <!--javascript resources-->

</body>
<!--body-->

</html>